Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Проблема с принтером  (Прочитано 871 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Takki

  • Автор темы
  • Новичок
  • *
  • Сообщений: 16
    • Просмотр профиля
Проблема с принтером
« : 25 Январь 2008, 22:25:16 »
Что-то фигня какая-то...
Устанавливала принтер вот по этой инструкции (https://help.ubuntu.com/community/HardwareSupportComponentsPrinters/CanonPrinters/Canon_LBP_2900), все замечательно заработала. Потом пока разбиралась с фаерфоксом (ставила 32 и 64 версии) принтер слетел...
Сейчас ставлю по новой по той же инструкции, но на 4 шаге
https://help.ubuntu.com/community/HardwareSupportComponentsPrinters/CanonPrinters/Canon_LBP_2900
пишет, что  libcups.so.2: cannot open shared object file: No such file or directory
Пыталась руками скопировать эту библиотеку (как написано в той же инструкции в самом низу). не помогает, пишет что wrong ELF class: ELFCLASS64.
 
Что делать?  :-\

Оффлайн Takki

  • Автор темы
  • Новичок
  • *
  • Сообщений: 16
    • Просмотр профиля
Re: Проблема с принтером
« Ответ #1 : 25 Январь 2008, 23:39:06 »
Теперь еще Synaptic ругается на libcupsys2, пишет что пакет с ошибкой. Переустановить не дает, а если удалять, так он пол системы за собой утащит :(

Оффлайн Cramen

  • Участник
  • *
  • Сообщений: 236
    • Просмотр профиля
Re: Проблема с принтером
« Ответ #2 : 25 Январь 2008, 23:53:49 »
Теперь еще Synaptic ругается на libcupsys2, пишет что пакет с ошибкой. Переустановить не дает, а если удалять, так он пол системы за собой утащит :(
ничего он за собой не утащит
максимум 10-15 пакетом
перепиши их, потом заново поставь
не поможет, aptitude-reinstall попробуй
опять не поможет, пиши, только подробно, что система говорила

Оффлайн Takki

  • Автор темы
  • Новичок
  • *
  • Сообщений: 16
    • Просмотр профиля
Re: Проблема с принтером
« Ответ #3 : 26 Январь 2008, 00:16:39 »
ничего он за собой не утащит
максимум 10-15 пакетом
перепиши их, потом заново поставь
не поможет, aptitude-reinstall попробуй
опять не поможет, пиши, только подробно, что система говорила

Нет, там гораздо больше пакетов, около 100 наверно...
aptitude reinstall  тоже не помогает
Следующие пакеты имеют неудовлетворённые зависимости:
libcupsys2: Зависит: libc6 (>= 2.7-1) но установлен 2.6.1-1ubuntu10
              Зависит: libgnutls13 (>= 2.0.4-0) но установлен 1.6.3-1build1
              Зависит: libkrb53 (>= 1.6.dfsg.2) но установлен 1.6.dfsg.1-7build1
А установить другие пакеты пока этот с ошибкой не могу ((

Оффлайн Cramen

  • Участник
  • *
  • Сообщений: 236
    • Просмотр профиля
Re: Проблема с принтером
« Ответ #4 : 26 Январь 2008, 00:17:57 »
dpkg-reconfigure -a

Оффлайн Takki

  • Автор темы
  • Новичок
  • *
  • Сообщений: 16
    • Просмотр профиля
Re: Проблема с принтером
« Ответ #5 : 26 Январь 2008, 13:48:40 »
dpkg-reconfigure -a

Нет, это тоже не помогло :(

Оффлайн greywicker

  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Re: Проблема с принтером
« Ответ #6 : 06 Февраль 2008, 11:23:13 »
Здравствуйте. Возможно, я невнимательно читал неофициальное руководство или проглядел в форумах... Но у меня следующий вопрос по МФУ Samsung scx4200. На родном диске - tar.gz, а моя Ubuntu 6.10 требует неких ppd - файлов. Ставлю драйвера из командной строки. Сообщает, что успешно установлены. При попытке вывести на печать пробную страницу устройство гудит, готовится к печати, но ... список спулера пуст! И печать не происходит. Прошу, подскажите, пожалуйста, куда копать. Заранее благодарю.

Оффлайн Fliker-09

  • Активист
  • *
  • Сообщений: 338
  • Linux rocks and KDE too!
    • Просмотр профиля
Re: Проблема с принтером
« Ответ #7 : 07 Февраль 2008, 19:03:14 »
А может
Цитировать
libc6 (>= 2.7-1) но установлен 2.6.1-1ubuntu10
              Зависит: libgnutls13 (>= 2.0.4-0) но установлен 1.6.3-1build1
              Зависит: libkrb53 (>= 1.6.dfsg.2) но установлен 1.6.dfsg.1-7build1
стоит собрать из сырцов самые последний версий этих библиотек? Тока осторожно с libc6  - может шлёпнуть систему. Если так то не перезагружайте комп и скачайте с http://packages.ubuntu.com этот пакет и поставьте его насильно. Как насильно спрашивайте не у меня :).

Оффлайн S.Tokarev

  • Активист
  • *
  • Сообщений: 415
    • Просмотр профиля
Re: Проблема с принтером
« Ответ #8 : 07 Февраль 2008, 19:13:56 »
Кажется перемешаны архитектуры 32 и 64 бит.
можно попробовать
apt-get update
apt-get upgrade

 

Страница сгенерирована за 0.061 секунд. Запросов: 22.